import request from '@/utils/request'

// 新增加密类型列表
export function addEncryTypeAPI(data) {
    return request({
        url: '/smartArchives/system/encry/type/addEncryType',
        method: 'POST',
        data: data,
    })
}

// 修改加密类型列表
export function updateEncryTypeAPI(data) {
    return request({
        url: '/smartArchives/system/encry/type/editEncryType',
        method: 'POST',
        data: data,
    })
}

// 删除加密类型列表
export function deleteEncryTypeAPI(data) {
    return request({
        url: '/smartArchives/system/encry/type/delEncryType',
        method: 'POST',
        data: data,
    })
}

// 档案加密类型列表
export function getEncryTypeListAPI(data) {
    return request({
        url: '/smartArchives/system/encry/type/list',
        method: 'GET',
        params: data,
    })
}
